Workspaces

GET /public/v1/workspace-products

List workspace products used as context for AI-generated outreach.

GET /public/v1/workspace-products

GET /public/v1/workspace-products

curl --request GET \
  --url 'https://api.joinvalley.co/public/v1/workspace-products' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "statusCode": 1,
  "status": true,
  "message": "<string>",
  "data": {
    "workspace_products": [
      {
        "id": "<string>",
        "name": "<string>",
        "description": "<string>",
        "created_at": "<string>"
      }
    ],
    "pagination": {
      "limit": 1,
      "offset": 1,
      "total": 1,
      "hasMore": true
    }
  }
}

Default Response

Authorizations

  • x-api-key string required header

    Your Valley API key.

Query Parameters

  • limit number
  • offset number
  • workspaceId string

Response

application/json
  • statusCode number
  • status boolean
  • message string
  • data object
    + Show Child Attributes
    • workspace_products[] object array
      + Show Child Attributes
      • id string
      • name string
      • description string
      • created_at string
    • pagination object
      + Show Child Attributes
      • limit number
      • offset number
      • total number
      • hasMore boolean